---

node:       profiles.$profile_node_name.statistics.reports.$name.
            report_elements.$name.columns.$name

infos_node: profile.statistics.reports.report_elements.columns

structure:

  columns:
    _:                      node-list   # foreach column
    report_field:           string
    show_column:            bool
    show_percent_column:    bool
    show_graph:             bool
    show_bar_column:        bool

infos:

  - node:               columns
    required_if:        if report element type equal overview, table or
                        log_detail
    is_infos_root:      true

  - node:               report_field
    value:              report field node name

  - node:               show_column

  - node:               show_percent_column
    required_if:        if report element type equal table and
                        is aggregating report field

  - node:               show_bar_column
    required_if:        if report element type equal table and
                        is aggregating report field

  - node:               show_graph
    required_if:        if report element type equal table and
                        is aggregating report field

...












